### Hierarchy

- PartialRight

### Callable

- __call<R>(func: Function0<R>): Function0<R>
- __call<T1, R>(func: Function1<T1, R>): Function1<T1, R>
- __call<T1, R>(func: Function1<T1, R>, arg1: T1): Function0<R>
- __call<T1, T2, R>(func: Function2<T1, T2, R>): Function2<T1, T2, R>
- __call<T1, T2, R>(func: Function2<T1, T2, R>, arg1: T1, plc2: __): Function1<T2, R>
- __call<T1, T2, R>(func: Function2<T1, T2, R>, arg2: T2): Function1<T1, R>
- __call<T1, T2, R>(func: Function2<T1, T2, R>, arg1: T1, arg2: T2): Function0<R>
- __call<T1, T2, T3, R>(func: Function3<T1, T2, T3, R>): Function3<T1, T2, T3, R>
- __call<T1, T2, T3, R>(func: Function3<T1, T2, T3, R>, arg1: T1, plc2: __, plc3: __): Function2<T2, T3, R>
- __call<T1, T2, T3, R>(func: Function3<T1, T2, T3, R>, arg2: T2, plc3: __): Function2<T1, T3, R>
- __call<T1, T2, T3, R>(func: Function3<T1, T2, T3, R>, arg1: T1, arg2: T2, plc3: __): Function1<T3, R>
- __call<T1, T2, T3, R>(func: Function3<T1, T2, T3, R>, arg3: T3): Function2<T1, T2, R>
- __call<T1, T2, T3, R>(func: Function3<T1, T2, T3, R>, arg1: T1, plc2: __, arg3: T3): Function1<T2, R>
- __call<T1, T2, T3, R>(func: Function3<T1, T2, T3, R>, arg2: T2, arg3: T3): Function1<T1, R>
- __call<T1, T2, T3, R>(func: Function3<T1, T2, T3, R>, arg1: T1, arg2: T2, arg3: T3): Function0<R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>): Function4<T1, T2, T3, T4, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg1: T1, plc2: __, plc3: __, plc4: __): Function3<T2, T3, T4, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg2: T2, plc3: __, plc4: __): Function3<T1, T3, T4, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg1: T1, arg2: T2, plc3: __, plc4: __): Function2<T3, T4, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg3: T3, plc4: __): Function3<T1, T2, T4, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg1: T1, plc2: __, arg3: T3, plc4: __): Function2<T2, T4, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg2: T2, arg3: T3, plc4: __): Function2<T1, T4, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg1: T1, arg2: T2, arg3: T3, plc4: __): Function1<T4, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg4: T4): Function3<T1, T2, T3, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg1: T1, plc2: __, plc3: __, arg4: T4): Function2<T2, T3, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg2: T2, plc3: __, arg4: T4): Function2<T1, T3, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg1: T1, arg2: T2, plc3: __, arg4: T4): Function1<T3, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg3: T3, arg4: T4): Function2<T1, T2, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg1: T1, plc2: __, arg3: T3, arg4: T4): Function1<T2, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg2: T2, arg3: T3, arg4: T4): Function1<T1, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg1: T1, arg2: T2, arg3: T3, arg4: T4): Function0<R>
- __call(func: function, ...args: any[]): function

- - Defined in node_modules/@types/lodash/common/function.d.ts:1109

  #### Type parameters

  - #### R

  #### Parameters

  - ##### func: Function0<R>

  #### Returns Function0<R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1111

  #### Type parameters

  - #### T1

  - #### R

  #### Parameters

  - ##### func: Function1<T1, R>

  #### Returns Function1<T1, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1113

  #### Type parameters

  - #### T1

  - #### R

  #### Parameters

  - ##### func: Function1<T1, R>

  - ##### arg1: T1

  #### Returns Function0<R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1114

  #### Type parameters

  - #### T1

  - #### T2

  - #### R

  #### Parameters

  - ##### func: Function2<T1, T2, R>

  #### Returns Function2<T1, T2, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1116

  #### Type parameters

  - #### T1

  - #### T2

  - #### R

  #### Parameters

  - ##### func: Function2<T1, T2, R>

  - ##### arg1: T1

  - ##### plc2: __

  #### Returns Function1<T2, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1117

  #### Type parameters

  - #### T1

  - #### T2

  - #### R

  #### Parameters

  - ##### func: Function2<T1, T2, R>

  - ##### arg2: T2

  #### Returns Function1<T1, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1118

  #### Type parameters

  - #### T1

  - #### T2

  - #### R

  #### Parameters

  - ##### func: Function2<T1, T2, R>

  - ##### arg1: T1

  - ##### arg2: T2

  #### Returns Function0<R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1119

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### func: Function3<T1, T2, T3, R>

  #### Returns Function3<T1, T2, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1121

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### func: Function3<T1, T2, T3, R>

  - ##### arg1: T1

  - ##### plc2: __

  - ##### plc3: __

  #### Returns Function2<T2, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1122

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### func: Function3<T1, T2, T3, R>

  - ##### arg2: T2

  - ##### plc3: __

  #### Returns Function2<T1, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1123

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### func: Function3<T1, T2, T3, R>

  - ##### arg1: T1

  - ##### arg2: T2

  - ##### plc3: __

  #### Returns Function1<T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1124

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### func: Function3<T1, T2, T3, R>

  - ##### arg3: T3

  #### Returns Function2<T1, T2, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1125

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### func: Function3<T1, T2, T3, R>

  - ##### arg1: T1

  - ##### plc2: __

  - ##### arg3: T3

  #### Returns Function1<T2, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1126

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### func: Function3<T1, T2, T3, R>

  - ##### arg2: T2

  - ##### arg3: T3

  #### Returns Function1<T1, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1127

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### func: Function3<T1, T2, T3, R>

  - ##### arg1: T1

  - ##### arg2: T2

  - ##### arg3: T3

  #### Returns Function0<R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1128

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  #### Returns Function4<T1, T2, T3, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1130

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg1: T1

  - ##### plc2: __

  - ##### plc3: __

  - ##### plc4: __

  #### Returns Function3<T2, T3, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1131

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg2: T2

  - ##### plc3: __

  - ##### plc4: __

  #### Returns Function3<T1, T3, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1132

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg1: T1

  - ##### arg2: T2

  - ##### plc3: __

  - ##### plc4: __

  #### Returns Function2<T3, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1133

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg3: T3

  - ##### plc4: __

  #### Returns Function3<T1, T2, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1134

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg1: T1

  - ##### plc2: __

  - ##### arg3: T3

  - ##### plc4: __

  #### Returns Function2<T2, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1135

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg2: T2

  - ##### arg3: T3

  - ##### plc4: __

  #### Returns Function2<T1, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1136

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg1: T1

  - ##### arg2: T2

  - ##### arg3: T3

  - ##### plc4: __

  #### Returns Function1<T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1137

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg4: T4

  #### Returns Function3<T1, T2, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1138

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg1: T1

  - ##### plc2: __

  - ##### plc3: __

  - ##### arg4: T4

  #### Returns Function2<T2, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1139

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg2: T2

  - ##### plc3: __

  - ##### arg4: T4

  #### Returns Function2<T1, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1140

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg1: T1

  - ##### arg2: T2

  - ##### plc3: __

  - ##### arg4: T4

  #### Returns Function1<T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1141

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg3: T3

  - ##### arg4: T4

  #### Returns Function2<T1, T2, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1142

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg1: T1

  - ##### plc2: __

  - ##### arg3: T3

  - ##### arg4: T4

  #### Returns Function1<T2, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1143

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg2: T2

  - ##### arg3: T3

  - ##### arg4: T4

  #### Returns Function1<T1, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1144

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg1: T1

  - ##### arg2: T2

  - ##### arg3: T3

  - ##### arg4: T4

  #### Returns Function0<R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1145

  #### Parameters

  - ##### func: function

    - - (...args: any[]): any

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns any

  - ##### Rest ...args: any[]

  #### Returns function

  - - (...args: any[]): any

    - #### Parameters

      - ##### Rest ...args: any[]

      #### Returns any

## Index

### Properties

- placeholder

## Properties

### placeholder

placeholder: __

- Defined in node_modules/@types/lodash/common/function.d.ts:1149

Generated using TypeDoc